loci.formats.in

## Class SlideBook7Reader.CLensDef70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CLensDef70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CLensDef70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Float` | `mActualMagnification`
    `java.lang.Integer` | `mBrightfieldPos`
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.Float` | `mCameraMagnificationChange`
    `java.lang.String` | `mCameraName`
    `java.lang.Float` | `mCameraPixelSize`
    `java.lang.Integer` | `mDarkfieldPos`
    `java.lang.Boolean` | `mDefault`
    `java.lang.Integer` | `mDeprecatedMagnification`
    `java.lang.Float` | `mdf`
    `java.lang.Integer` | `mDICPos`
    `java.lang.Integer` | `mDICPrismPos`
    `java.lang.Integer` | `mMedium`
    `java.lang.Float` | `mMicronPerPixel`
    `java.lang.Float` | `mNA`
    `java.lang.String` | `mName`
    `java.lang.Float` | `mParcentricOffsetX`
    `java.lang.Float` | `mParcentricOffsetY`
    `java.lang.Integer` | `mParfocalOffset`
    `java.lang.Integer` | `mParfocalOffset2`
    `java.lang.Integer` | `mPhasePos`
    `java.lang.Integer` | `mPolarizerPos`
    `java.lang.Integer` | `mStructID`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`
    `java.lang.Integer` | `mTLApertureDiaphramPos`
    `java.lang.Integer` | `mTLFieldDiaphramPos`
    `java.lang.Integer` | `mTopLensPos`
    `java.lang.Integer` | `mTurretPosition`
    `java.lang.Boolean` | `mUV`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLensDef70()`

  - ### Method Summary

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructID

          public java.lang.Integer mStructID

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mName

          public java.lang.String mName

    - #### mNA

          public java.lang.Float mNA

    - #### mdf

          public java.lang.Float mdf

    - #### mMicronPerPixel

          public java.lang.Float mMicronPerPixel

    - #### mDeprecatedMagnification

          public java.lang.Integer mDeprecatedMagnification

    - #### mMedium

          public java.lang.Integer mMedium

    - #### mUV

          public java.lang.Boolean mUV

    - #### mTurretPosition

          public java.lang.Integer mTurretPosition

    - #### mParfocalOffset

          public java.lang.Integer mParfocalOffset

    - #### mDefault

          public java.lang.Boolean mDefault

    - #### mParfocalOffset2

          public java.lang.Integer mParfocalOffset2

    - #### mParcentricOffsetX

          public java.lang.Float mParcentricOffsetX

    - #### mParcentricOffsetY

          public java.lang.Float mParcentricOffsetY

    - #### mBrightfieldPos

          public java.lang.Integer mBrightfieldPos

    - #### mDarkfieldPos

          public java.lang.Integer mDarkfieldPos

    - #### mDICPos

          public java.lang.Integer mDICPos

    - #### mPhasePos

          public java.lang.Integer mPhasePos

    - #### mTLFieldDiaphramPos

          public java.lang.Integer mTLFieldDiaphramPos

    - #### mTLApertureDiaphramPos

          public java.lang.Integer mTLApertureDiaphramPos

    - #### mDICPrismPos

          public java.lang.Integer mDICPrismPos

    - #### mTopLensPos

          public java.lang.Integer mTopLensPos

    - #### mPolarizerPos

          public java.lang.Integer mPolarizerPos

    - #### mCameraName

          public java.lang.String mCameraName

    - #### mCameraPixelSize

          public java.lang.Float mCameraPixelSize

    - #### mCameraMagnificationChange

          public java.lang.Float mCameraMagnificationChange

    - #### mActualMagnification

          public java.lang.Float mActualMagnification

  - ### Constructor Detail

    - #### CLensDef70

          CLensDef70()

Copyright © 2026 Open Microscopy Environment